langcode: en
status: true
dependencies:
  config:
    - commerce_order.commerce_order_item_type.erp_default
    - core.entity_view_mode.commerce_order_item.ief_table
    - field.field.commerce_order_item.erp_default.processed
    - field.field.commerce_order_item.erp_default.substract
  enforced:
    module:
      - erp_common
  module:
    - commerce_price
id: commerce_order_item.erp_default.ief_table
targetEntityType: commerce_order_item
bundle: erp_default
mode: ief_table
content:
  created:
    type: timestamp
    weight: 1
    region: content
    label: hidden
    settings:
      date_format: medium
      custom_date_format: ''
      timezone: ''
    third_party_settings: {  }
  processed:
    weight: 3
    label: hidden
    settings:
      thousand_separator: ''
      prefix_suffix: true
    third_party_settings: {  }
    type: number_integer
    region: content
  purchased_entity:
    type: entity_reference_label
    weight: 0
    region: content
    label: hidden
    settings:
      link: true
    third_party_settings: {  }
  quantity:
    weight: 2
    region: content
    label: above
    settings:
      thousand_separator: ''
      decimal_separator: .
      scale: 2
      prefix_suffix: true
    third_party_settings: {  }
    type: number_decimal
  substract:
    type: boolean
    weight: 6
    region: content
    label: hidden
    settings:
      format: default
      format_custom_false: ''
      format_custom_true: ''
    third_party_settings: {  }
  total_price:
    type: commerce_price_default
    weight: 5
    region: content
    label: hidden
    settings:
      strip_trailing_zeroes: false
      currency_display: symbol
    third_party_settings: {  }
  unit_price:
    weight: 4
    region: content
    label: above
    settings:
      strip_trailing_zeroes: false
      currency_display: symbol
    third_party_settings: {  }
    type: commerce_price_default
hidden:
  adjustments: true
  label: true
  title: true
